No desktop session found: no notification icon

Bug #697654 reported by Jean-Peer Lorenz on 2011-01-05
38
This bug affects 8 people
Affects Status Importance Assigned to Milestone
sbackup
Status tracked in Trunk
0.11
Low
Jean-Peer Lorenz
Trunk
Low
Jean-Peer Lorenz

Bug Description

Originally reported by BlueLight on 2011-01-01. I've split this bug https://bugs.launchpad.net/sbackup/+bug/696183 into two.

I installed sbackup on Mint LMDE from source and the installation went fine with all dependencies are met.
When I run it it terminates with this output.
Can someone help me to solve this?
I am using sbackup 0.11.3 on debian testing 32 bit released as Mint LMDE with Gnome Desktop 2.30

Unable to get PID of process 'gnome-session'.
Unable to get PID of process 'ksmserver'.
Neither Gnome nor KDE session is running
Unable to get PID of process 'gnome-session'.
Unable to get PID of process 'ksmserver'.
Neither Gnome nor KDE session is running
Unable to get PID of process 'gnome-session'.
Unable to get PID of process 'ksmserver'.
Neither Gnome nor KDE session is running
Unable to get PID of process 'gnome-session'.
Unable to get PID of process 'ksmserver'.
Neither Gnome nor KDE session is running
D-Bus session bus launched
 DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-svbPHNU1wD,guid=c13e95357232396f24a87f5a0000003e
 DBUS_SESSION_BUS_PID=2183
drop privileges: running as nobody/nogroup
Now launching indicator application (status icon).
Unable to get KDE Session Manager: org.freedesktop.DBus.Error.ServiceUnknown: The name org.kde.ksmserver was not provided by any .service files
Unable to get Gnome Session Manager: org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files
No DE found using D-Bus. Looking for process id.
Unable to get PID of process 'gnome-session'.
Unable to get PID of process 'ksmserver'.
Neither Gnome nor KDE session is running
No desktop session found. Indicator application is not started.

Hourly backups run fine now. No notification icon like in Ubuntu but the backups look ok.

Related branches

Jean-Peer Lorenz (peer.loz) wrote :

Thank you for using SBackup and for taking the time reporting this bug. I'll have a look into it though I need to install Mint firstly. So, it could take a while. Please report any progress on this issue.

BlueLight (bluelight-auroville) wrote :

No notification icon like in Ubuntu is working with all infos.

BlueLight (bluelight-auroville) wrote :

The notification icon like in Ubuntu is working with all infos.

Jean-Peer Lorenz (peer.loz) wrote :

So, the indicator application (notification icon) is being started and everything works as expected under Mint LMDE? If so, we can mark this bug as invalid.

BlueLight (bluelight-auroville) wrote :

Too early :-)

The scheduled hourly backup works but without notification icon. I saw it only once.
The scheduled daily backup for whatever reason doesn't start also there is a clear entry in /etc/cron.daily
sbackup -> /usr/local/share/sbackup/sbackup-launch

Also the email notification does not work but this is a different bug. Do you want me to post these in different locations?

BlueLight (bluelight-auroville) wrote :

The timed backups with crom like 0 4 * * * work but without notification icon and no emails sent

BlueLight (bluelight-auroville) wrote :

log file sbackup

Jean-Peer Lorenz (peer.loz) wrote :

Could someone launch a backup using commandline option '--legacy-indicator' (see https://answers.launchpad.net/sbackup/+faq/1294):

$ sbackup --legacy-indicator

and post the outcome here? Thanks.

master-sonic (master-sonic-web) wrote :
Download full text (4.3 KiB)

Here you go:
2011-01-12 19:57:09,872 - INFO: Log output for [Default Profile] is directed to file '/var/log/sbackup/sbackup.2011-01-12_19.57.09.871586.log'.
2011-01-12 19:57:09,872 - INFO: Profile settings are being read from file '/etc/sbackup.conf'.
2011-01-12 19:57:09,876 - INFO: Preparation of backup process
2011-01-12 19:57:09,876 - INFO: Initializing GIO File Access Manager.
2011-01-12 19:57:09,883 - INFO: Backup destination: /media/Volume-Big/Backups/sbackup
2011-01-12 19:57:09,884 - INFO: Perform tests at specified location
2011-01-12 19:57:09,895 - INFO: Checking for snapshots stored in old formats
2011-01-12 19:57:09,911 - INFO: Last full backup is fresh (1 days old )-> make an increment
2011-01-12 19:57:09,912 - INFO: Snapshot '2011-01-12_19.57.09.911420.silberpfeil.inc' is being made.
2011-01-12 19:57:09,912 - INFO: Setting Base to '2011-01-12_19.55.55.484749.silberpfeil.inc'.
2011-01-12 19:57:09,913 - INFO: Setting packages File.
2011-01-12 19:57:10,017 - INFO: Setting Excludes File.
2011-01-12 19:57:10,017 - INFO: Setting compression format to `none`
2011-01-12 19:57:10,018 - INFO: Option 'Follow symbolic links' is disabled.
2011-01-12 19:57:10,018 - INFO: Inspect file system and collect file infos
[ ... ]
2011-01-12 19:57:26,665 - INFO: Summary of backup
2011-01-12 19:57:26,665 - INFO: Number of directories: 9518.
2011-01-12 19:57:26,665 - INFO: Total number of files: 91543.
2011-01-12 19:57:26,666 - INFO: Number of symlinks: 3130.
2011-01-12 19:57:26,666 - INFO: Number of files included in snapshot: 31.
2011-01-12 19:57:26,666 - INFO: Number of new files (also included): 6.
2011-01-12 19:57:26,666 - INFO: Number of files skipped in incremental snapshot: 91512.
2011-01-12 19:57:26,667 - INFO: Number of items forced to be excluded: 75.
2011-01-12 19:57:26,667 - INFO: Number of items to be excluded by config: 959.
2011-01-12 19:57:26,667 - INFO: Maximum free size required is '10 MiB 703 KiB 409'.
2011-01-12 19:57:26,668 - INFO: Available disk size is '1650412 MiB 484 KiB'.
2011-01-12 19:57:26,687 - INFO: Snapshot is being committed
2011-01-12 19:57:26,708 - INFO: Launching TAR to make incremental backup.
2011-01-12 19:57:30,729 - INFO: Leading '/' from member names were removed.
2011-01-12 19:57:30,729 - INFO: TAR returned a message: Total bytes written: 17643520 (17MiB, 4.3MiB/s)
2011-01-12 19:57:30,729 - INFO: TAR has been finished successfully.
2011-01-12 19:57:30,810 - INFO: Logarithmic purging
2011-01-12 19:57:30,811 - INFO: Logarithm Purging [Last week]
2011-01-12 19:57:30,812 - INFO: Logarithm Purging [Last month]
2011-01-12 19:57:30,813 - INFO: Logarithm Purging [Last year]
2011-01-12 19:57:30,816 - INFO: Logarithm Purging [2nd last year]
2011-01-12 19:57:30,817 - INFO: Logarithm Purging [remaining years]
2011-01-12 19:57:30,832 - INFO: Backup process finished.
2011-01-12 19:57:30,843 - INFO: Terminating GIO File Access Manager.
2011-01-12 19:57:30,844 - INFO: Processing of profile successfully finished (no errors)

2011-01-12 19:57:30,846 - INFO: SBackupdDBusObject is being terminated.
Unable to get PID of process 'gnome-session'.
Unable to get PID of process 'ksmserver'.
Neither Gnome nor KDE session is running
Unable t...

Read more...

Download full text (4.6 KiB)

sbackup --legacy-indicator 2>&1 | tee log-sbackup

here is my output:

2011-01-14 08:02:45,233 - INFO: Log output for [Default Profile] is directed to file '/var/log/sbackup/sbackup.2011-01-14_08.02.45.232742.log'.
2011-01-14 08:02:45,234 - INFO: Profile settings are being read from file '/etc/sbackup.conf'.
2011-01-14 08:02:45,237 - INFO: Preparation of backup process
2011-01-14 08:02:45,238 - INFO: Initializing GIO File Access Manager.
2011-01-14 08:02:45,244 - INFO: Backup destination: /media/backup/new-daily-backup-sbackup
2011-01-14 08:02:45,245 - INFO: Perform tests at specified location
2011-01-14 08:02:45,254 - INFO: Checking for snapshots stored in old formats
2011-01-14 08:02:45,257 - INFO: Corrupt snapshot `2011-01-14_08.01.52.920468.rolling.corrupt` found. Skipped.
2011-01-14 08:02:45,267 - INFO: Corrupt snapshot `2011-01-14_08.01.52.920468.rolling.corrupt` found. Skipped.
2011-01-14 08:02:45,269 - INFO: Last full backup is fresh (4 days old )-> make an increment
2011-01-14 08:02:45,270 - INFO: Snapshot '2011-01-14_08.02.45.270048.rolling.inc' is being made.
2011-01-14 08:02:45,271 - INFO: Setting Base to '2011-01-14_08.02.13.031316.rolling.inc'.
2011-01-14 08:02:45,271 - INFO: Setting packages File.
2011-01-14 08:02:45,374 - INFO: Setting Excludes File.
2011-01-14 08:02:45,374 - INFO: Setting compression format to `bzip2`
2011-01-14 08:02:45,374 - INFO: Option 'Follow symbolic links' is disabled.
2011-01-14 08:02:45,375 - INFO: Inspect file system and collect file infos
2011-01-14 08:02:47,452 - INFO: File '/home/.....
lots of files :-)

2011-01-14 08:02:52,210 - INFO: Summary of backup
2011-01-14 08:02:52,210 - INFO: Number of directories: 3266.
2011-01-14 08:02:52,210 - INFO: Total number of files: 36890.
2011-01-14 08:02:52,211 - INFO: Number of symlinks: 224.
2011-01-14 08:02:52,211 - INFO: Number of files included in snapshot: 0.
2011-01-14 08:02:52,211 - INFO: Number of new files (also included): 0.
2011-01-14 08:02:52,212 - INFO: Number of files skipped in incremental snapshot: 36890.
2011-01-14 08:02:52,212 - INFO: Number of items forced to be excluded: 11.
2011-01-14 08:02:52,212 - INFO: Number of items to be excluded by config: 890.
2011-01-14 08:02:52,212 - INFO: Maximum free size required is '1 MiB 721 KiB'.
2011-01-14 08:02:52,213 - INFO: Available disk size is '46646 MiB 968 KiB'.
2011-01-14 08:02:52,220 - INFO: Snapshot is being committed
2011-01-14 08:02:52,230 - INFO: Launching TAR to make incremental backup.
2011-01-14 08:02:54,170 - INFO: Leading '/' from member names were removed.
2011-01-14 08:02:54,171 - INFO: TAR returned a message: Total bytes written: 4741120 (4.6MiB, 2.6MiB/s)
2011-01-14 08:02:54,171 - INFO: TAR has been finished successfully.
2011-01-14 08:02:54,207 - INFO: Corrupt snapshot `2011-01-14_08.01.52.920468.rolling.corrupt` found. Skipped.
2011-01-14 08:02:54,209 - INFO: Simple purge - remove freestanding snapshots older than 7 days.
2011-01-14 08:02:54,213 - INFO: Corrupt snapshot `2011-01-14_08.01.52.920468.rolling.corrupt` found. Skipped.
2011-01-14 08:02:54,215 - INFO: Backup process finished.
2011-01-14 08:02:54,221 - INFO: Terminating GIO File Access Manager.
2011-01-14 08:02:54,221 - I...

Read more...

I managed to get the indicator icon working. However, the workaround is pretty dirty. sbackup is checking whether gnome is running by checking if there is a process called 'gnome-session'. For debian, this does not seem to be the case. Now I just made sbackup check for gnome-panel instead of gnome-session. I know this is pretty dirty but it's a quick fix until a real solution comes around

Jean-Peer Lorenz (peer.loz) wrote :

I did some preliminary tests and still have some questions:

* What desktop environment are you running? Gnome? Gnome-Shell?
* Could you open a terminal and run 'ps aux | grep -i gnome' and post the output here?

Thanks for your help.

root 1473 0.0 0.1 19184 3652 ? Sl 03:07 0:00 /usr/lib/gdm3/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1

user 1922 0.0 0.3 18464 7276 ? S 03:07 0:00 gnome-power-manager

user 1927 0.0 0.7 27540 15364 ? Ss 03:07 0:01 /usr/lib/gnome-settings-daemon/gnome-settings-daemon

user 1930 0.0 0.1 24392 2144 ? Sl 03:07 0:00 /usr/bin/gnome-keyring-daemon --start --components=pkcs11

user 1972 0.0 0.9 108144 19160 ? S 03:07 0:04 gnome-panel

user 2002 0.0 0.2 17308 5772 ? S 03:07 0:00 /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1

user 2007 0.0 0.3 18892 6872 ? S 03:07 0:00 /usr/lib/gnome-disk-utility/gdu-notification-daemon

user 2014 0.0 0.4 158992 9796 ? S 03:07 0:00 gnome-volume-control-applet

user 2018 0.0 0.1 18484 2592 ? Ss 03:07 0:00 gnome-screensaver

user 2026 0.0 1.5 116848 31148 ? Sl 03:07 0:02 python /usr/lib/linuxmint/mintMenu/mintMenu.py --oaf-activate-iid=OAFIID:GNOME_mintMenu_Factory --oaf-ior-fd=18

user 2038 0.0 0.4 23364 8900 ? S 03:07 0:00 /usr/lib/gnome-applets/workrave-applet --oaf-activate-iid=OAFIID:GNOME_WorkraveApplet_Factory --oaf-ior-fd=21

user 4102 4.6 0.6 87224 12692 ? Sl 04:27 0:00 gnome-terminal

user 4103 0.0 0.0 1900 696 ? S 04:27 0:00 gnome-pty-helper

user 4121 0.0 0.0 3860 816 pts/0 S+ 04:27 0:00 grep --colour=auto -i gnome

I'm using gnome 2.28

sonic@silberpfeil ~ $ ps aux | grep -i gnome
root 2198 0.0 0.1 99756 3208 ? Sl 20:41 0:00 /usr/lib/gdm3/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1
sonic 2500 0.0 0.3 158688 6672 ? Ssl 20:41 0:00 gnome-session
sonic 2536 0.0 0.0 11924 28 ? Ss 20:41 0:00 /usr/bin/ssh-agent /usr/bin/dbus-launch --exit-with-session /usr/bin/seahorse-agent --execute gnome-session
sonic 2539 0.0 0.0 26152 352 ? S 20:41 0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/seahorse-agent --execute gnome-session
sonic 2550 0.0 0.2 156024 5032 ? Ss 20:41 0:00 /usr/bin/seahorse-agent --execute gnome-session
sonic 2564 0.0 0.5 267992 10304 ? S 20:41 0:00 gnome-power-manager
sonic 2568 0.0 0.4 231664 9156 ? Ss 20:41 0:01 /usr/lib/gnome-settings-daemon/gnome-settings-daemon
sonic 2572 0.0 0.1 77912 2536 ? SLl 20:41 0:00 /usr/bin/gnome-keyring-daemon --start --components=secrets
sonic 2600 0.1 1.2 522432 25376 ? S 20:41 0:05 gnome-panel
sonic 2659 0.0 0.0 4000 512 ? S 20:41 0:00 /bin/sh /usr/bin/gnome-do
sonic 2665 0.0 0.4 443388 9244 ? S 20:41 0:00 gnome-volume-control-applet
sonic 2670 0.5 3.7 562996 77748 ? Sl 20:41 0:24 /usr/bin/cli /usr/lib/gnome-do/Do.exe
sonic 2671 0.0 0.2 141208 5352 ? S 20:41 0:00 /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
sonic 2679 0.0 0.3 167344 6364 ? S 20:41 0:00 /usr/lib/gnome-disk-utility/gdu-notification-daemon
sonic 2689 0.0 0.1 160624 2236 ? Ss 20:41 0:00 gnome-screensaver
sonic 2709 0.0 0.7 372864 15140 ? Sl 20:41 0:00 /usr/lib/gnome-applets/mixer_applet2 --oaf-activate-iid=OAFIID:GNOME_MixerApplet_Factory --oaf-ior-fd=24
sonic 2711 0.1 0.6 321568 14088 ? S 20:41 0:08 /usr/lib/link-monitor-applet/link-monitor-applet --oaf-activate-iid=OAFIID:GNOME_LinkMonitorApplet_Factory --oaf-ior-fd=18
sonic 2714 0.0 0.4 207104 10212 ? S 20:41 0:03 /usr/lib/gnome-applets/cpufreq-applet --oaf-activate-iid=OAFIID:GNOME_CPUFreqApplet_Factory --oaf-ior-fd=30
sonic 2715 0.8 0.4 211644 8988 ? S 20:41 0:39 /usr/lib/gnome-applets/multiload-applet-2 --oaf-activate-iid=OAFIID:GNOME_MultiLoadApplet_Factory --oaf-ior-fd=42
sonic 6994 0.0 0.0 4000 556 ? Ss 21:55 0:00 /bin/sh -c gnome-terminal
sonic 6995 1.6 0.6 264732 13592 ? Sl 21:55 0:00 gnome-terminal
sonic 6996 0.0 0.0 14372 772 ? S 21:55 0:00 gnome-pty-helper

Jean-Peer Lorenz (peer.loz) wrote :

Thanks for your response. The problem is caused by a test against 'gnome-session' which is not present in certain configurations. Here 'gnome-session' is replaced by 'x-session-manager'. I'll add a workaround to the 0.11 series.

summary: - No desktop session found on Mint LMDE: no notification icon
+ No desktop session found: no notification icon
rogerw05465 (rogerw-nordlink) wrote :

Not sure what to do now. I see on the bug report that there is a solution to the bug, but I can't find my way to it yet.

Ubuntu 12.04
xfce windows manager.
sbackup was working fine from 10.x through 11.10. The upgrade from Live CD seems to have killed it.

rogerw@rogerw-Aspire-4810T:~$ sudo sbackup
[sudo] password for rogerw:
No desktop session found
No desktop session found
No desktop session found
No desktop session found
D-Bus session bus launched
 DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-guRmdAfvxt,guid=357bb673573c71e1f88a55a90002fac1
 DBUS_SESSION_BUS_PID=20794
drop privileges: running as nobody/nogroup
Attempt to launch indicator application (status icon).
No desktop session found
No desktop session found. Indicator application is not started.
Group not changed to `admin`: unknown group
2012-05-05 23:23:12,341 - INFO: SBackupdDBusObject is being terminated.
rogerw@rogerw-Aspire-4810T:~$

I am Using now 12.04 32 bit with sbackup 0.11.4-0ubuntu4 and all works well.

:)

We are not using Mint LMDE any more. This distro is too buggy and not enough support and since Canonical decided 5 years updates on the LTS we are back to Ubuntu.

C Cheng (ckcheng) wrote :

I had the same problem with sbackup 0.11.4 on Lubuntu, installed as Ubuntu 12.10 with lubuntu-core package installed. Scheduled backups work though. I tried instead:

    sudo /usr/share/sbackup/sbackup-launch

and that seems to work. I checked and I don't have 'gnome-session' or 'x-session-manager' running. Instead, I have 'lxsession'.

while sbackup 0.11.4 on 64bit ubuntu 14.04 was running nicely with indication the upgrade to 16.04 disabled the indicator with 0.11.6

Here what the terminal says during launch:

(process:3513): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Unable to autolaunch a dbus-daemon without a $DISPLAY for X11
Error while getting gconf setting: No D-BUS daemon running

Default value is used.

(process:3513): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Unable to autolaunch a dbus-daemon without a $DISPLAY for X11
Error while setting gconf value: No D-BUS daemon running

Error can be safely ignored: setting is not being changed.
D-Bus session bus launched
 DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-uteIFVULF6,guid=5d6ad6b02e9c9927f27ab1645743a6fb
 DBUS_SESSION_BUS_PID=3550
drop privileges: running as nobody/nogroup
Attempt to launch indicator application (status icon).
DEBUG: pgrep x-session-manager =
DEBUG: pgrep gnome-session =
DEBUG: pgrep gnome-shell =
DEBUG: pgrep ksmserver =
DEBUG: pgrep xfce4-session =
No Desktop session found
No desktop session found. Indicator application is not started.
Group not changed to `admin`: unknown group

Anton (feenstra) wrote :

I can get the indicator icon when I manually start /usr/share/sbackup/sbackup-indicator, it also shows the backup progress accurately. The terminal says the same as be4truth reports above, however when I manually do:
$ pgrep gnome-session
2724

So, apparently something is not parsed back correctly? I'll try to do some additional searching and testing in the coming days.

No Desktop session found
D-Bus session bus launched
 DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Gi0sfzj2TC,guid=8db5d9ef69ede15d27974fe057651c25
 DBUS_SESSION_BUS_PID=5188
/usr/share/sbackup/sbackup/ui/GladeGnomeApp.py:90: GtkWarning: IA__gtk_tree_model_get_n_columns: assertion 'GTK_IS_TREE_MODEL (tree_model)' failed
  self.xml = gtk.glade.XML(fname, domain = 'sbackup')
/usr/share/sbackup/sbackup/ui/GladeGnomeApp.py:90: GtkWarning: IA__gtk_combo_box_set_column_span_column: assertion 'column_span >= -1 && column_span < col' failed
  self.xml = gtk.glade.XML(fname, domain = 'sbackup')
/usr/share/sbackup/sbackup/ui/GladeGnomeApp.py:90: GtkWarning: IA__gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed
  self.xml = gtk.glade.XML(fname, domain = 'sbackup')
/usr/share/sbackup/sbackup/ui/GladeGnomeApp.py:90: GtkWarning: IA__gtk_combo_box_set_row_span_column: assertion 'row_span >= -1 && row_span < col' failed
  self.xml = gtk.glade.XML(fname, domain = 'sbackup')

If I try to start the indicator manually I get this:

** (sbackup-indicator:5429): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers